| Kea 3.0.2-git

ha_config.h File Reference
`#include <ha_relationship_mapper.h>`
`#include <asiolink/crypto_tls.h>`
`#include <dhcpsrv/subnet.h>`
`#include <exceptions/exceptions.h>`
`#include <http/basic_auth.h>`
`#include <http/post_request_json.h>`
`#include <http/url.h>`
`#include <util/optional.h>`
`#include <util/state_model.h>`
`#include <boost/shared_ptr.hpp>`
`#include <cstdint>`
`#include <map>`
`#include <string>`
Include dependency graph for ha_config.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::ha::HAConfig
| Storage for High Availability configuration. More...
class | isc::ha::HAConfigValidationError
| Exception thrown when configuration validation fails. More...
class | isc::ha::HAConfig::PeerConfig
| HA peer configuration. More...
class | isc::ha::HAConfig::StateConfig
| Configuration specific to a single HA state. More...
class | isc::ha::HAConfig::StateMachineConfig
| State machine configuration information. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::ha

## Typedefs
typedef HARelationshipMapper< HAConfig > | isc::ha::HAConfigMapper
| Type of an object mapping `HAConfig` to relationships.
typedef boost::shared_ptr< HAConfigMapper > | isc::ha::HAConfigMapperPtr
| Pointer to an object mapping `HAConfig` to relationships.
typedef boost::shared_ptr< HAConfig > | isc::ha::HAConfigPtr
| Pointer to the High Availability configuration structure.